#version 150

out vec4 outColor;
in vec2 Texcoord;
uniform sampler2D texFramebuffer;
uniform float boundary;

void main()
{
//     outColor = vec4(0.0, 1.0, 0.0, 1.0);
    
    if (Texcoord.y < boundary)
    	outColor = texture(texFramebuffer, Texcoord);
    else
        outColor = vec4(0.0, 0.0, 0.0, 0.0);
}

